Page MenuHomePhabricator

Interactive graphs auto-resets every few seconds
Closed, ResolvedPublic

Description

For some reason, all interactive graphs are automatically reset every second.

Go to this graph, make it interactive, and move the slider to another year. It will autoreset within second.

https://www.mediawiki.org/wiki/Extension:Graph/Graph:Historical_Fertility_Rates

Event Timeline

Yurik created this task.Jan 16 2016, 10:08 PM
Yurik updated the task description. (Show Details)
Yurik raised the priority of this task from to Needs Triage.
Yurik added a project: Graphs.
Yurik added subscribers: Yurik, TheDJ, JGirault.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 16 2016, 10:08 PM
Jay8g added a subscriber: Jay8g.Jan 17 2016, 7:21 AM

... but not if you drag the slider all the way to one end or the other.

Yurik moved this task from Backlog to Prioritized on the Graphs board.Jan 18 2016, 4:42 AM

The <div class="mw-graph mw-graph-interactable"> has an on-click event that converts this graph from image to interactive form, but this event keeps firing even after the graph is loaded. Changing the class from "mw-graph mw-graph-interactable" to "mw-graph mw-graph-interactive" after loading the graph would solve this issue.

Change 264713 had a related patch set uploaded (by Yurik):
Fixed graph reset on click

https://gerrit.wikimedia.org/r/264713

Change 264713 merged by jenkins-bot:
Fixed graph reset on click

https://gerrit.wikimedia.org/r/264713

Change 264715 had a related patch set uploaded (by Yurik):
Fixed graph reset on click

https://gerrit.wikimedia.org/r/264715

TheDJ added a comment.Jan 18 2016, 6:15 PM

hmm, there's a few more things wrong/less than ideal in that loader script.. I'll try to clean it up a bit on this flight i'm about to jump on. :)

Change 264715 merged by jenkins-bot:
Fixed graph reset on click

https://gerrit.wikimedia.org/r/264715

Krenair closed this task as Resolved.Jan 19 2016, 4:52 PM
Krenair claimed this task.
Krenair reassigned this task from Krenair to Yurik.
Krenair set Security to None.